Author Topic: 1.9.9 Server Mismatch  (Read 2231 times)

Acheron

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 0
  • Posts: 8
    • View Profile
1.9.9 Server Mismatch
« on: September 22, 2014, 05:18:51 PM »
Hi Aren. I am getting a mismatch error with the latest version of TNet. When I either use the included version of TNServer.exe or a build I compiled myself, I get the following message:
Quote
Not connected to the server. Version mismatch! Server is running protocol version 11 while you are on version 12
Thanks!

ArenMook

  • Administrator
  • Hero Member
  • *****
  • Thank You
  • -Given: 337
  • -Receive: 1171
  • Posts: 22,128
  • Toronto, Canada
    • View Profile
Re: 1.9.9 Server Mismatch
« Reply #1 on: September 23, 2014, 12:50:31 PM »
I'm very certain I included version 12 executable when shipping 1.9.9. In any case recompiling the server would 100% give you version 12. I'm not sure which executable you're running, but you're running the wrong one.

Acheron

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 0
  • Posts: 8
    • View Profile
Re: 1.9.9 Server Mismatch
« Reply #2 on: September 25, 2014, 06:49:47 PM »
Recompiled. It works now at version 12! False alarm. Thanks.

Acheron

  • Newbie
  • *
  • Thank You
  • -Given: 0
  • -Receive: 0
  • Posts: 8
    • View Profile
Re: 1.9.9 Server Mismatch
« Reply #3 on: September 25, 2014, 10:11:39 PM »
Yup, was making a mistake. Thanks again.